package dev.lilyvex.oauthfabric.database;

public class Database implements IDatabase {
    private IDatabase databaseClass;
    
    public void setDatabase(String database) {
        switch (database) {
            case "sqlite":
                databaseClass = new SQLite();
        }
    }
    
    public void addUser(String uuid, String oauthId, String sessionToken) {
        databaseClass.addUser(uuid, oauthId, sessionToken);
    }

    public void updateUser(String uuid, String oauthId, String sessionToken) {
        databaseClass.updateUser(uuid, oauthId, sessionToken);
    }

    public void removeUser(String uuid) {
        databaseClass.removeUser(uuid);
    }

    public boolean isRegisteredUser(String uuid) {
        return databaseClass.isRegisteredUser(uuid);
    }

    public String getOauthId(String uuid) {
        return databaseClass.getOauthId(uuid);
    }

    public String getSessionToken(String uuid) {
        return databaseClass.getSessionToken(uuid);
    }
}
