package dev.lilyvex.oauthfabric.database;

public interface IDatabase {
    public void addUser(String uuid, String oauthId, String sessionToken);
    public void updateUser(String uuid, String oauthId, String sessionToken);
    public void removeUser(String uuid);
    public boolean isRegisteredUser(String uuid);

    public String getOauthId(String uuid);
    public String getSessionToken(String uuid);
}